Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM distribution 6.1.0.Beta3
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.jbpm.process.audit.strategy
Enum PersistenceStrategyType

    java.lang.Object
      java.lang.Enum<PersistenceStrategyType>
          org.jbpm.process.audit.strategy.PersistenceStrategyType

All Implemented Interfaces:
  Serializable, Comparable<PersistenceStrategyType>

    public enum PersistenceStrategyType

extends Enum<PersistenceStrategyType>

Enum Constant Summary
`KIE_SESSION`
`STANDALONE_JTA`
`STANDALONE_JTA_SPRING_SHARED_EM`
`STANDALONE_LOCAL`
`STANDALONE_LOCAL_SPRING_SHARED_EM`

Method Summary
`static PersistenceStrategy` | `getPersistenceStrategy(PersistenceStrategyType type, javax.persistence.EntityManagerFactory emf)`
`static PersistenceStrategy` | `getPersistenceStrategy(PersistenceStrategyType type, Environment env)`
`static PersistenceStrategy` | `getPersistenceStrategy(PersistenceStrategyType type, Environment env, javax.persistence.EntityManagerFactory emf, String persistenceUnitName)`
`static PersistenceStrategy` | `getPersistenceStrategy(PersistenceStrategyType type, String peristenceUnitName)`
`static PersistenceStrategyType` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static PersistenceStrategyType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### KIE_SESSION

    public static final PersistenceStrategyType KIE_SESSION

### STANDALONE_JTA

    public static final PersistenceStrategyType STANDALONE_JTA

### STANDALONE_JTA_SPRING_SHARED_EM

    public static final PersistenceStrategyType STANDALONE_JTA_SPRING_SHARED_EM

### STANDALONE_LOCAL_SPRING_SHARED_EM

    public static final PersistenceStrategyType STANDALONE_LOCAL_SPRING_SHARED_EM

### STANDALONE_LOCAL

    public static final PersistenceStrategyType STANDALONE_LOCAL

Method Detail

### values

    public static PersistenceStrategyType[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (PersistenceStrategyType c : PersistenceStrategyType.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static PersistenceStrategyType valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

### getPersistenceStrategy

    public static PersistenceStrategy getPersistenceStrategy(PersistenceStrategyType type,
                                                             Environment env)

### getPersistenceStrategy

    public static PersistenceStrategy getPersistenceStrategy(PersistenceStrategyType type,
                                                             javax.persistence.EntityManagerFactory emf)

### getPersistenceStrategy

    public static PersistenceStrategy getPersistenceStrategy(PersistenceStrategyType type,
                                                             String peristenceUnitName)

### getPersistenceStrategy

    public static PersistenceStrategy getPersistenceStrategy(PersistenceStrategyType type,
                                                             Environment env,
                                                             javax.persistence.EntityManagerFactory emf,
                                                             String persistenceUnitName)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM distribution 6.1.0.Beta3
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © 2001-2014 JBoss by Red Hat. All Rights Reserved.